# WebResource: get

**Requires [authorization](https://developers.google.com/site-verification/v1/webResource/get#auth)**

Retrieves the most current data for a website or domain.
[Try it now](https://developers.google.com/site-verification/v1/webResource/get#try-it).

Only sites that are owned directly or indirectly by the authenticated user can be retrieved using this method. "Indirect" ownership is the verified ownership of a parent (at any level) of a site. For example, the owner of example.com is the direct owner of example.com and an indirect owner of both monkeys.example.com and bonobo.monkeys.example.com.

## Request

### HTTP request

```
GET https://www.googleapis.com/siteVerification/v1/webResource/id
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `id` | `string` | The ID of a verified site or domain. |

### Authorization

This request requires authorization with the following scope ([read more about authentication and authorization](https://developers.google.com/site-verification/v1/getting_started#auth)).

| Scope |
|---|
| `https://www.googleapis.com/auth/siteverification` |

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns a [WebResource resource](https://developers.google.com/site-verification/v1/webResource#resource) in the response body.

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.
Alternatively, try the
[standalone
Explorer](https://developers.google.com/apis-explorer/#p/siteVerification/v1/siteVerification.webResource.get).